coreBOS OpenSourceBT

View Issue Details Jump to Notes ] Wiki ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000340coreBOSFunctionalitypublic2016-08-24 23:372017-03-06 14:33
Reporterjoebordes 
Assigned Tojoebordes 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000340: Our sites with blocked x-frame
DescriptionAt our sites bookmarks with https not working.

Https sites block that open inside form.

Create a option for open bookmark at new window at this case
Additional Informationhttps://github.com/tsolucio/corebos/issues/89 [^]
http://discussions.corebos.org/thread-364.html [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000511)
ejimenez (updater)
2017-01-11 21:23

I have done a change so it always opens in other window.

If you like I can summit it, but I don't know how
User avatar (0000512)
joebordes (manager)
2017-01-11 22:45

you have to create a git pull request to add the code to coreBOS.

High level it is something like this:

- create a fork of corebos on github
- clone your fork
- create a new branch: git checkout -b branch_name
- make and test your changes
- commit the change (inside the branch)
- push the change to github: git push
- git checkout master to get back to the main fork
- now go to your fork on github and select your branch you will see the "create pull request" button

http://lmgtfy.com/?q=git+pull+request+process [^]

That is ideal because that way your contribution is respected. If all that is to much zip the modified files, ideally a patch and upload it to this ticket, I will take it from there.

Note: if you give me your git user I can try to force your user name on the commit so credit goes where it is due :-)
User avatar (0000521)
ejimenez (updater)
2017-01-12 05:52

git is a juggle of terms which I do not really grasp yet, but I think I manage to send you a pull request.
User avatar (0000523)
joebordes (manager)
2017-01-12 09:18

Yes, git is a complicated beast if you want to get to know all the details, but the power and flexibility it brings is just to important to ignore.

The pull request you made is perfect, so take your time, one step after another :-)
User avatar (0000556)
joebordes (manager)
2017-03-06 14:33

fixed

- Issue History
Date Modified Username Field Change
2016-08-24 23:37 joebordes New Issue
2017-01-11 21:23 ejimenez Note Added: 0000511
2017-01-11 22:45 joebordes Note Added: 0000512
2017-01-11 22:45 joebordes Assigned To => joebordes
2017-01-11 22:45 joebordes Status new => assigned
2017-01-12 05:52 ejimenez Note Added: 0000521
2017-01-12 09:18 joebordes Note Added: 0000523
2017-03-06 14:33 joebordes Note Added: 0000556
2017-03-06 14:33 joebordes Status assigned => resolved
2017-03-06 14:33 joebordes Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker